# Examples of loops using accumulators or counters

# adds up numbers from 0 to n
def sum_of_range(n):
    total = 0
    for num in range(n):
        total = total + num
    return total

# adds up numbers in a list
def sum_of_list(a_list):
    total = 0
    for num in a_list:
        total = total + num
    return total

# counts the even numbers in a given list
def count_even_numbers(a_list):
    count = 0
    for num in a_list:
        if num % 2 == 0:
            count = count + 1
    return count

# determines whether a given list contains a given target value
def contains_value(a_list, target):
    answer = False
    for num in a_list:       
        if num == target:
            answer = True            
    return answer


# try out the functions above
result = sum_of_range(10)
print(result)

my_list = [3, 2, 2, 7, 16, 15, 12]

result = sum_of_list(my_list)
print(result)

result = count_even_numbers(my_list)
print(result)

result = contains_value(my_list, 16)
print(result)
result = contains_value(my_list, 42)
print(result)
